import request from '@/utils/request'

export function login(data) { //常规
    return request({
        url: `/sys/login`,
        method: 'post',
        params: data
    })
}

// 登录方法(ERP)
export function loginERP(data) {
    return request({
        url: '/sys/loginByCenter',
        method: 'post',
        data
    })
}


// 获取权限菜单栏
export function getInfo() {
    return request({
        url: '/sys/getRouters',
        method: 'get',
    })
}
// 获取权限菜单栏
export function getInfo2() {
    return request({
        url: '/sys/getInfo/',
        method: 'get',
    })
}
// /system/user /
// export function getInfo(data) {
//   return request({
//       url: '/menu/queryMenu',
//       method: 'post',
//       data
//   })
// }
export function logout() { //用户退出
    return request({
        url: '/sys/loginOut',
        method: 'post',
    })
}

// 获取验证码
export function getCodeImg(query) { //captchaImage/ 后面的参数跟captchaType = math(生成需要计算的验证码）char(生成文字二维码)
    return request({
        url: '/captchaImage?captchaType=math&',
        method: 'get',
        params: query
    })
}
